/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nbmdownloader;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Arrays;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author toru
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Logger.getLogger(Logger.GLOBAL_LOGGER_NAME).log(Level.INFO, "Starting Program, with argument {0}", Arrays.deepToString(args));
        if (args.length < 1) {
            Logger.getLogger(Logger.GLOBAL_LOGGER_NAME).severe("引数にダウンロード対象プラグイン情報XMLファイルのURLを指定する必要があります");
            System.exit(1);
        }
        try {
            URL url = new URL(args[0]);
            ModuleParser parser = new ModuleParser(url);
            parser.parse();
            Downloader downloader = new Downloader(parser.getXmlUrl(), parser.getUrlList());
            downloader.downloadAll();
        } catch (MalformedURLException ex) {
            Logger.getLogger(Logger.GLOBAL_LOGGER_NAME).log(Level.SEVERE, "引数に指定したURLは書式が不正です。", ex);
            System.exit(2);
        } catch (IOException ex) {
            Logger.getLogger(Logger.GLOBAL_LOGGER_NAME).log(Level.SEVERE, "URLの接続に失敗した模様です。", ex);
        }
    }

}
